# Class FQZState

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZState

public class FQZState extends Object
Mutable state tracked during FQZComp encoding and decoding. Updated per quality score as the context model evolves, and reset at each record boundary. Tracks quality context history, position within read, running delta, and per-record metadata (lengths, reversal flags).

## Constructor Summary

Constructors
Constructor
Description
`FQZState()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBases()`
`int`
`getContext()`
`int`
`getDelta()`
`boolean`
`getIsDuplicate()`
`int`
`getPreviousQuality()`
`int`
`getQualityContext()`
`int[]`
`getQualityLengthArray()`
`int`
`getReadOrdinal()`
`int`
`getRecordLength()`
`boolean[]`
`getReverseArray()`
`int`
`getSelector()`
`int`
`getSelectorTable()`
`void`
`setBases(int bases)`
`void`
`setContext(int context)`
`void`
`setDelta(int delta)`
`void`
`setIsDuplicate(boolean isDuplicate)`
`void`
`setPreviousQuality(int previousQuality)`
`void`
`setQualityContext(int qualityContext)`
`void`
`setReadOrdinal(int readOrdinal)`
`void`
`setRecordLength(int recordLength)`
`void`
`setSelector(int selector)`
`void`
`setSelectorTable(int selectorTable)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZState

public FQZState()

## Method Details

### getContext

public int getContext()

### setContext

public void setContext(int context)

### getQualityContext

public int getQualityContext()

### setQualityContext

public void setQualityContext(int qualityContext)

### getPreviousQuality

public int getPreviousQuality()

### setPreviousQuality

public void setPreviousQuality(int previousQuality)

### getDelta

public int getDelta()

### setDelta

public void setDelta(int delta)

### getBases

public int getBases()

### setBases

public void setBases(int bases)

### getSelector

public int getSelector()

### setSelector

public void setSelector(int selector)

### getSelectorTable

public int getSelectorTable()

### setSelectorTable

public void setSelectorTable(int selectorTable)

### getRecordLength

public int getRecordLength()

### setRecordLength

public void setRecordLength(int recordLength)

### getIsDuplicate

public boolean getIsDuplicate()

### setIsDuplicate

public void setIsDuplicate(boolean isDuplicate)

### getReadOrdinal

public int getReadOrdinal()

### setReadOrdinal

public void setReadOrdinal(int readOrdinal)

### getQualityLengthArray

public int[] getQualityLengthArray()

### getReverseArray

public boolean[] getReverseArray()